Skip to content

Licenses

All operations require authentication.

8 operationsv1/ip/{ip}
Agent setup

List CloudLinux licensesProduction

GET
/1.0/ip/{ip}/license/cloudLinux

List CloudLinux licenses. Returns the CloudLinux licenses attached to the block, optionally filtered to one address.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

ipAddress
ipv4

Filter the value of ipAddress property (=)

Response

200string[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/license/cloudLinux \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List cPanel licensesProduction

GET
/1.0/ip/{ip}/license/cpanel

List cPanel licenses. Returns the cPanel licenses attached to the block, optionally filtered to one address.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

ipAddress
ipv4

Filter the value of ipAddress property (=)

Response

200string[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/license/cpanel \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List DirectAdmin licensesProduction

GET
/1.0/ip/{ip}/license/directadmin

List DirectAdmin licenses. Returns the DirectAdmin licenses attached to the block, optionally filtered to one address.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

ipAddress
ipv4

Filter the value of ipAddress property (=)

Response

200string[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/license/directadmin \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List Plesk licensesProduction

GET
/1.0/ip/{ip}/license/plesk

List Plesk licenses. Returns the Plesk licenses attached to the block, optionally filtered to one address.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

ipAddress
ipv4

Filter the value of ipAddress property (=)

Response

200string[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/license/plesk \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List SQL Server licensesProduction

GET
/1.0/ip/{ip}/license/sqlserver

List SQL Server licenses. Returns the SQL Server licenses attached to the block, optionally filtered to one address.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

ipAddress
ipv4

Filter the value of ipAddress property (=)

Response

200string[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/license/sqlserver \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List Virtuozzo licensesProduction

GET
/1.0/ip/{ip}/license/virtuozzo

List Virtuozzo licenses. Returns the Virtuozzo licenses attached to the block, optionally filtered to one address.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

ipAddress
ipv4

Filter the value of ipAddress property (=)

Response

200string[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/license/virtuozzo \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List Windows licensesProduction

GET
/1.0/ip/{ip}/license/windows

List Windows licenses. Returns the Windows licenses attached to the block, optionally filtered to one address.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

ipAddress
ipv4

Filter the value of ipAddress property (=)

Response

200string[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/license/windows \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List WorkLight licensesProduction

GET
/1.0/ip/{ip}/license/worklight

List WorkLight licenses. Returns the WorkLight licenses attached to the block, optionally filtered to one address.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

ipAddress
ipv4

Filter the value of ipAddress property (=)

Response

200string[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/license/worklight \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]